import React from 'react';
import { DefaultProps, KubedNumberSize, KubedSizes } from '../theme';
interface ButtonOptions {
    /** Predefined button size */
    size?: KubedSizes;
    /** Disable button or not	 */
    disabled?: boolean;
    /** Display shadow or not	 */
    shadow?: boolean;
    /** Display block or inline-block */
    block?: boolean;
    /** Display loading indicator	 */
    loading?: boolean;
    /** Adds icon before button label  */
    leftIcon?: React.ReactNode;
    /** Adds icon after button label  */
    rightIcon?: React.ReactNode;
    /** Button border-radius from theme or number to set border-radius in px */
    radius?: KubedNumberSize;
    /** Button color from theme  */
    color?: string | 'default' | 'primary' | 'secondary' | 'success' | 'warning' | 'error';
    /** Controls button appearance */
    variant?: 'filled' | 'outline' | 'text' | 'link';
}
export interface ButtonProps extends ButtonOptions, DefaultProps {
}
export declare const Button: import("../utils/types").ComponentWithAs<"button", ButtonProps>;
export {};
//# sourceMappingURL=Button.d.ts.map