import React from 'react';
import { DefaultProps } from '../theme';
import { CheckboxGroup } from './CheckboxGroup';
export { CheckboxGroup };
export interface CheckboxProps extends DefaultProps {
    /** Checkbox label */
    label?: React.ReactNode;
    /** Checkbox value */
    value?: string;
    /** Indeterminate state of checkbox, overwrites checked */
    indeterminate?: boolean;
    /** Id is used to bind input and label, if not passed unique id will be generated for each input */
    id?: string;
    /** Whether the Checkbox is checked */
    checked?: boolean;
    defaultChecked?: boolean;
    disabled?: boolean;
}
export declare const Checkbox: import("../utils/types").ComponentWithAs<"input", CheckboxProps>;
//# sourceMappingURL=Checkbox.d.ts.map