import React from 'react';
import { DefaultProps, KubedNumberSize } from '../theme';
export declare const sizes: {
    xs: string;
    sm: string;
    md: string;
    lg: string;
    xl: string;
};
export interface ContainerProps extends DefaultProps, React.ComponentPropsWithoutRef<'div'> {
    /** Predefined container max-width or number for max-width in px */
    size?: KubedNumberSize;
    /** Horizontal padding defined in theme.spacing, or number value for padding in px */
    padding?: KubedNumberSize;
    /** If fluid is set to true, size prop is ignored and Container always take 100% of width */
    fluid?: boolean;
    children?: React.ReactNode;
}
export declare function Container({ className, size, padding, ...others }: ContainerProps): React.JSX.Element;
export declare namespace Container {
    var displayName: string;
}
//# sourceMappingURL=Container.d.ts.map