import React from 'react';
import { DefaultProps, KubedNumberSize } from '../theme';
export interface DividerProps extends DefaultProps {
    /** Line color from theme, defaults to gray in light color scheme and to dark in dark color scheme */
    color?: string;
    /** Line direction */
    direction?: 'horizontal' | 'vertical';
    /** Sets height in horizontal orientation and with in vertical */
    size?: KubedNumberSize;
    /** Adds text after line in horizontal orientation */
    label?: React.ReactNode;
    /** Label position */
    labelPosition?: 'left' | 'center' | 'right';
    /** Props spread to Text component in label */
    labelProps?: Record<string, any>;
    /** Divider borderStyle */
    variant?: 'solid' | 'dashed' | 'dotted';
    /** Top and bottom margins for horizontal variant, left and right for vertical, xs, sm, md, lg, xl for value from theme.spacing, number for margins in px */
    margins?: KubedNumberSize;
    /** Divider height, only available if direction is vertical */
    height?: number;
}
export declare const Divider: import("../utils/types").ComponentWithAs<"hr", DividerProps>;
//# sourceMappingURL=Divider.d.ts.map