import React from 'react';
declare type EventType = React.KeyboardEvent<HTMLDivElement> | React.MouseEvent<HTMLDivElement | HTMLButtonElement>;
declare type getContainerFunc = () => HTMLElement;
declare type ILevelMove = number | [number, number];
declare const PlacementTypes: ["top", "right", "bottom", "left"];
declare type placementType = typeof PlacementTypes[number];
export interface PushState {
    distance: string | number;
}
export interface DrawerProps {
    autoFocus?: boolean;
    getContainer?: string | HTMLElement | getContainerFunc;
    maskClosable?: boolean;
    mask?: boolean;
    maskStyle?: React.CSSProperties;
    /** Wrapper dom node style of header and body */
    contentWrapperStyle?: React.CSSProperties;
    visible?: boolean;
    width?: number | string;
    height?: number | string;
    placement?: placementType;
    onClose?: (e: EventType) => void;
    afterVisibleChange?: (visible: boolean) => void;
    className?: string;
    handler?: React.ReactElement | null | false;
    keyboard?: boolean;
    level?: string | string[] | null | undefined;
    levelMove?: ILevelMove | ((e: {
        target: HTMLElement;
        open: boolean;
    }) => ILevelMove);
    children?: React.ReactNode;
}
declare const Drawer: import("../utils/types").ComponentWithAs<any, DrawerProps>;
export default Drawer;
//# sourceMappingURL=Drawer.d.ts.map