import React from 'react';
import { DropdownProps } from '../Dropdown/Dropdown';
import { Field } from './Field';
import { DefaultProps } from '../theme';
export { Field };
export interface EntityProps extends DefaultProps {
    /** Add effect on hover	 */
    hoverable?: boolean;
    /** Whether Entity can expand */
    expandable?: boolean;
    /** Render function of expand */
    expandContent?: React.ReactNode;
    /** Whether Entity has border	*/
    bordered?: boolean;
    /** Add effect on hover	 */
    footer?: React.ReactNode;
    /** Gap between children */
    gap?: number;
    /** Props of expand */
    expandProps?: Omit<DropdownProps, 'children'>;
}
export declare const Entity: import("../utils/types").ComponentWithAs<"div", EntityProps>;
//# sourceMappingURL=Entity.d.ts.map