import { List as FormList, useWatch } from 'rc-field-form';
import { FormProps as RcFormProps } from 'rc-field-form/lib/Form';
import { Options } from 'scroll-into-view-if-needed';
import { ColProps } from '../Grid/Col';
import { FormLabelAlign } from './types';
import { DefaultProps, KubedSizes } from '../theme';
import { FormItem } from './FormItem/FormItem';
import type { FormItemProps } from './FormItem/FormItem';
import useForm, { FormInstance } from './hooks/useForm';
export { FormList, FormItem, useForm, useWatch };
export type { FormItemProps, FormInstance };
export declare type FormLayout = 'horizontal' | 'inline' | 'vertical';
export interface FormProps<Values = any> extends Omit<RcFormProps<Values>, 'form'>, DefaultProps {
    name?: string;
    layout?: FormLayout;
    labelAlign?: FormLabelAlign;
    labelCol?: ColProps;
    wrapperCol?: ColProps;
    form?: FormInstance<Values>;
    scrollToFirstError?: Options | boolean;
    size?: KubedSizes;
}
export declare const Form: import("../utils/types").ComponentWithAs<null, FormProps<any>>;
//# sourceMappingURL=Form.d.ts.map