import React from 'react';
import { FieldProps } from 'rc-field-form/lib/Field';
export declare type ValidateStatus = 'success' | 'warning' | 'error' | 'validating' | '';
export interface FormItemProps extends FieldProps {
    /** Label element of FormItem */
    label?: React.ReactNode;
    /** Help content of FormItem */
    help?: React.ReactNode;
    /** Tooltip content of FormItem */
    tooltip?: React.ReactNode;
    /** The validation status. If not provided, it will be generated by validation rule. options: success warning error validating */
    validateStatus?: ValidateStatus;
    formItemLayout?: 'horizontal' | 'inline' | 'vertical';
}
export declare const FormItem: import("../../utils/types").ComponentWithAs<"div", FormItemProps>;
//# sourceMappingURL=FormItem.d.ts.map