import React from 'react';
import { FormProvider } from 'rc-field-form';
import { FormProviderProps as RcFormProviderProps } from 'rc-field-form/lib/FormContext';
import { FormLabelAlign } from './types';
import { ColProps } from '../Grid/Col';
import { KubedSizes } from '../theme';
export interface FormContextProps {
    layout: string;
    name?: string;
    colon?: boolean;
    labelAlign?: FormLabelAlign;
    labelCol?: ColProps;
    wrapperCol?: ColProps;
    itemRef?: (name: (string | number)[]) => (node: React.ReactElement) => void;
    size?: KubedSizes;
}
export declare const FormContext: React.Context<FormContextProps>;
/** Form Item Context. Used for Form noStyle Item error collection */
export interface FormItemContextProps {
    updateItemErrors: (name: string, errors: string[], originName?: string) => void;
}
export declare const FormItemContext: React.Context<FormItemContextProps>;
/** Form Provider */
export interface FormProviderProps extends Omit<RcFormProviderProps, 'validateMessages'> {
}
export { FormProvider };
//# sourceMappingURL=context.d.ts.map