import React, { ComponentPropsWithoutRef } from 'react';
import { Col, ColProps, GutterType } from './Col';
export { Col };
export type { ColProps };
export interface RowProps extends ComponentPropsWithoutRef<'div'> {
    /** <Col /> components only */
    children: React.ReactNode;
    /** Spacing between columns predefined value from theme.spacing or number for gutter in px  */
    gutter?: GutterType;
    /** Should columns in the last row take 100% of grid width */
    grow?: boolean;
    /** Set grid justify-content property */
    justify?: React.CSSProperties['justifyContent'];
    /** Set grid align-content property */
    align?: React.CSSProperties['alignContent'];
    /** Amount of columns in each row */
    columns?: number;
}
export declare function Row({ gutter, children, grow, justify, align, columns, ...others }: RowProps): React.JSX.Element;
export declare namespace Row {
    var displayName: string;
}
//# sourceMappingURL=Row.d.ts.map