import React, { PropsWithChildren, CSSProperties } from 'react';
import { DefaultProps, KubedNumberSize } from '../theme';
export declare type GroupPosition = 'right' | 'center' | 'left' | 'apart';
export declare type GroupDirection = 'row' | 'column';
export interface GroupProps extends DefaultProps, React.ComponentPropsWithoutRef<'div'> {
    /** Defines justify-content property */
    position?: GroupPosition;
    /** Defined flex-wrap property */
    noWrap?: boolean;
    /** Defines flex-grow property for each element, true -> 1, false -> 0 */
    grow?: boolean;
    /** Space between elements */
    spacing?: KubedNumberSize;
    /** Defines flex-direction property, row for horizontal, column for vertical */
    direction?: GroupDirection;
    /** Defines align-items css property */
    align?: CSSProperties['alignItems'];
}
export declare function Group({ children, position, grow, noWrap, spacing, direction, ...rest }: PropsWithChildren<GroupProps>): React.JSX.Element;
export declare namespace Group {
    var displayName: string;
}
//# sourceMappingURL=Group.d.ts.map