import React from 'react';
import { DefaultProps, KubedNumberSize, KubedSizes } from '../theme';
export declare function fixControlledValue<T>(value: T): "" | T;
export interface InputProps extends DefaultProps {
    /** Left section of input */
    addonBefore?: React.ReactNode;
    /** Right section of input */
    addonAfter?: React.ReactNode;
    /** width of input */
    width?: number;
    /** Prefix element of input, like icon */
    prefix?: React.ReactNode;
    /** Suffix element of input, like icon */
    suffix?: React.ReactNode;
    /** Disabled input state */
    disabled?: boolean;
    /** Input border-radius from theme or number to set border-radius in px */
    radius?: KubedNumberSize;
    /** Predefined input size */
    size?: KubedSizes;
}
export declare const Input: import("../utils/types").ComponentWithAs<"input", InputProps>;
//# sourceMappingURL=Input.d.ts.map