import React from 'react';
import { DefaultProps, KubedNumberSize } from '../theme';
export interface LoadingOverlayProps extends DefaultProps {
    /** Loader size prop */
    size?: KubedNumberSize;
    /** Sets overlay opacity */
    overlayOpacity?: number;
    /** Sets overlay color, defaults to theme.white in light theme and to theme.colors.dark[5] in dark theme */
    overlayColor?: string;
    /** Loading overlay z-index */
    zIndex?: number;
    /** If visible overlay will take 100% width and height of first parent with relative position and overlay all of its content */
    visible: boolean;
}
export declare function LoadingOverlay({ size, overlayColor, overlayOpacity, visible, }: LoadingOverlayProps): React.JSX.Element;
export declare namespace LoadingOverlay {
    var displayName: string;
}
//# sourceMappingURL=LoadingOverlay.d.ts.map