import * as React from 'react';
import * as SheetPrimitive from '@radix-ui/react-dialog';
import { StyledSheetContent, SheetBaseOverlay as SheetOverlay } from './Sheet.styles';
declare const Sheet: React.FC<SheetPrimitive.DialogProps>;
declare const SheetTrigger: React.ForwardRefExoticComponent<SheetPrimitive.DialogTriggerProps & React.RefAttributes<HTMLButtonElement>>;
declare const SheetClose: React.ForwardRefExoticComponent<SheetPrimitive.DialogCloseProps & React.RefAttributes<HTMLButtonElement>>;
declare const SheetPortal: React.FC<SheetPrimitive.DialogPortalProps>;
declare const SheetHeaderClose: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<SheetPrimitive.DialogCloseProps & React.RefAttributes<HTMLButtonElement>>, import("styled-components").DefaultTheme, {}, never>;
declare const SheetFieldTitle: (props: {
    header?: React.ReactElement;
    title?: React.ReactNode;
    description?: React.ReactNode;
    titleIcon?: React.ReactNode;
    headerExtra?: React.ReactNode;
}) => React.ReactElement;
declare const SheetRadixOverlay: React.ForwardRefExoticComponent<Omit<SheetPrimitive.DialogOverlayProps & React.RefAttributes<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
export interface SheetContentProps extends React.ComponentPropsWithoutRef<typeof SheetPrimitive.Content>, React.ComponentPropsWithoutRef<typeof StyledSheetContent> {
    /** Use the side property to <SheetContent /> to indicate the edge of the screen where the component will appear. The values can be top, right, bottom or left.Default 'right'. */
    side?: 'right' | 'top' | 'left' | 'bottom';
    /** The width of the SheetContent. Accepts any number, string. */
    width?: number | string;
    /** The accessible title of the SheetContent. */
    title?: string;
    /** The accessible description of the SheetContent. */
    description?: string;
    /** Whether the SheetContent has overlay. */
    hasOverlay?: boolean;
}
declare const SheetBaseContent: React.ForwardRefExoticComponent<Omit<SheetContentProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare const SheetContent: React.ForwardRefExoticComponent<Omit<SheetContentProps & {
    hasRadixOverlay?: boolean;
    maskClosable?: boolean;
}, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare const SheetHeader: {
    ({ className, ...props }: React.HTMLAttributes<HTMLDivElement>): React.JSX.Element;
    displayName: string;
};
declare const SheetFooter: {
    ({ className, ...props }: React.HTMLAttributes<HTMLDivElement>): React.JSX.Element;
    displayName: string;
};
declare const SheetTitle: React.ForwardRefExoticComponent<Omit<SheetPrimitive.DialogTitleProps & React.RefAttributes<HTMLHeadingElement>, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
declare const SheetDescription: React.ForwardRefExoticComponent<Omit<SheetPrimitive.DialogDescriptionProps & React.RefAttributes<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
export { Sheet, SheetPortal, SheetRadixOverlay, SheetOverlay, SheetTrigger, SheetClose, SheetContent, SheetHeader, SheetFooter, SheetTitle, SheetDescription, SheetHeaderClose, SheetFieldTitle, SheetBaseContent, };
//# sourceMappingURL=Sheets.d.ts.map