import React from 'react';
import { DefaultProps } from '../theme';
export interface ShowMoreProps extends DefaultProps {
    /** Max height of visible content, when this point is reached ShowMore appears */
    maxHeight: number;
    /** Label for close ShowMore action */
    hideLabel: React.ReactNode;
    /** Label for open ShowMore action */
    showLabel: React.ReactNode;
    /** Get ref of ShowMore toggle button */
    controlRef?: React.ForwardedRef<HTMLButtonElement>;
    /** Initial ShowMore state, true to wrap content in ShowMore, false to show content without ShowMore, opened state will be updated on mount */
    expanded?: boolean;
    /** ShowMore reveal transition duration in ms, 0 or null to turn off animation */
    transitionDuration?: number;
}
export declare const ShowMore: import("../utils/types").ComponentWithAs<"div", ShowMoreProps>;
//# sourceMappingURL=ShowMore.d.ts.map