import React from 'react';
import { DefaultProps, KubedNumberSize, KubedSizes } from '../theme';
import { Step } from './Step/Step';
import { TabStep } from './TabStep/TabStep';
import { StepCompleted } from './StepCompleted/StepCompleted';
export interface StepsProps extends DefaultProps {
    /** <Stepper.Step /> components only */
    children: React.ReactNode;
    /** Called when step is clicked */
    onStepClick?(stepIndex: number): void;
    /** Active step index */
    active: number;
    /** Step icon displayed when step is completed */
    completedIcon?: React.ReactNode;
    /** Step icon displayed when step is in progress */
    progressIcon?: React.ReactNode;
    /** Active and progress Step colors from theme.colors */
    color?: string | 'default' | 'primary' | 'secondary' | 'success' | 'warning' | 'error';
    /** Step icon size in px */
    iconSize?: number;
    /** Content padding-top from theme.spacing or number to set value in px */
    contentPadding?: KubedNumberSize;
    /** Component orientation */
    orientation?: 'vertical' | 'horizontal';
    /** Icon position relative to step body */
    iconPosition?: 'right' | 'left';
    /** Component size */
    size?: KubedSizes;
    /** Radius from theme.radius, or number to set border-radius in px */
    radius?: KubedNumberSize;
    /** Breakpoint at which orientation will change from horizontal to vertical */
    breakpoint?: KubedNumberSize;
    variant?: 'default' | 'tab';
}
export declare const Steps: import("../utils/types").ComponentWithAs<"div", StepsProps>;
export { Step, StepCompleted, TabStep };
//# sourceMappingURL=Steps.d.ts.map