import React from 'react';
import { DefaultProps, KubedNumberSize, KubedSizes } from '../../theme';
export interface StepProps extends DefaultProps {
    /** Step state, controlled by Steps component */
    state?: 'stepInactive' | 'stepProgress' | 'stepCompleted';
    /** Step color from theme.colors */
    color?: string | 'default' | 'primary' | 'secondary' | 'success' | 'warning' | 'error';
    /** Should icon be displayed */
    withIcon?: boolean;
    /** Step icon, defaults to step index + 1 when rendered within Stepper */
    icon?: React.ReactNode;
    /** Step icon displayed when step is completed */
    completedIcon?: React.ReactNode;
    /** Step icon displayed when step is in progress */
    progressIcon?: React.ReactNode;
    /** Step label, render after icon */
    label?: React.ReactNode;
    /** Step description */
    description?: React.ReactNode;
    /** Step progress description */
    progressDescription?: React.ReactNode;
    /** Step completed description */
    completedDescription?: React.ReactNode;
    /** Icon wrapper size in px */
    iconSize?: number;
    /** Icon position relative to step body */
    iconPosition?: 'right' | 'left';
    /** Component size */
    size?: KubedSizes;
    /** Radius from theme.radius, or number to set border-radius in px */
    radius?: KubedNumberSize;
    /** Indicates loading state on step */
    loading?: boolean;
    /** Set to false to disable clicks on step */
    allowStepClick?: boolean;
    /** Should step selection be allowed */
    allowStepSelect?: boolean;
    /** Static selector base */
    __staticSelector?: string;
}
export declare const TabStep: import("../../utils/types").ComponentWithAs<"div", StepProps>;
//# sourceMappingURL=TabStep.d.ts.map