import React from 'react';
import { DefaultProps } from '../theme';
export declare type SwitchChangeEventHandler = (checked: boolean, event: MouseEvent) => void;
export declare type SwitchClickEventHandler = SwitchChangeEventHandler;
export interface SwitchProps extends DefaultProps {
    /** Id is used to bind input and label, if not passed unique id will be generated for each input */
    id?: string;
    /** Switch label */
    label?: React.ReactNode;
    variant?: 'button' | 'default';
    /** Whether the Switch is checked */
    checked?: boolean;
    /** Whether the Switch is default checked */
    defaultChecked?: boolean;
    okText?: React.ReactNode;
    offText?: React.ReactNode;
    disabled?: boolean;
    onChange?: SwitchChangeEventHandler;
    onClick?: SwitchClickEventHandler;
}
export declare const Switch: import("../utils/types").ComponentWithAs<"input", SwitchProps>;
//# sourceMappingURL=Switch.d.ts.map