import * as React from 'react';
import { Updater } from '@tanstack/react-table';
export declare const DEFAULT_PAGE_SIZE = 10;
interface PaginationState {
    pageIndex: number;
    pageSize: number;
}
interface PaginationInstance {
    getCanNextPage: () => boolean;
    getCanPreviousPage: () => boolean;
    getState: () => PaginationState;
    getRowCount: () => number;
    getPageCount: () => number;
    nextPage: () => void;
    previousPage: () => void;
    setPageIndex: (updater: Updater<number>) => void;
    setPageSize: (updater: Updater<number>) => void;
}
declare type TablePaginationProps = {
    className?: string;
    style?: React.CSSProperties;
    config?: {
        isShowSetPageSize?: boolean;
        isShowDivider?: boolean;
        isShowTotalCount?: boolean;
        isShowPagination?: boolean;
        autoResetPageIndex?: boolean;
    };
    instance: PaginationInstance;
};
export type { TablePaginationProps as BaseTablePaginationProps, PaginationInstance, PaginationState, };
export declare const BasePagination: ({ className, style, config: { isShowSetPageSize, isShowDivider, isShowTotalCount, isShowPagination, }, instance, }: TablePaginationProps) => React.JSX.Element;
export type { TablePaginationProps as PaginationProps };
//# sourceMappingURL=BasePagination.d.ts.map