import type { TableOptionsResolved as _TableOptionsResolved, ColumnMeta as _ColumnMeta, TableOptions as _TableOptions, TableFeature as _TableFeature, TableMeta as _TableMeta, RowData, ColumnDef as _ColumnDef, Table as _Table, TableState as _TableState } from '@tanstack/react-table';
export declare type TableOptionsResolved<TData extends RowData> = _TableOptionsResolved<TData>;
export declare type ColumnMeta<TData extends RowData, TValue = unknown> = _ColumnMeta<TData, TValue>;
export declare type TableOptions<TData extends RowData> = _TableOptions<TData>;
export declare type TableFeature<TData extends RowData = any> = _TableFeature<TData>;
export declare type TableMeta<TData extends RowData> = _TableMeta<TData>;
export declare type ColumnDef<TData, TValue> = _ColumnDef<TData, TValue>;
export interface TableState extends _TableState {
}
export interface TableEnableConfig {
    enableToolbar?: boolean;
    enablePagination?: boolean;
    enableVisible?: boolean;
    enableFilters?: boolean;
    enableParamsToUrl?: boolean;
    enableStateToStorage?: boolean;
    enableSelection?: boolean;
    enableSort?: boolean;
    enableMultiSelection?: boolean;
    enableInitParamsByUrl?: boolean;
}
export interface StorageStateOptions {
    storage2State?: (storageKey: string) => Partial<TableState>;
    state2Storage?: (storageKey: string, state: Partial<TableState>) => void;
}
export interface StateHandler {
    handlerName?: string;
    stateKeys: (keyof TableState)[] | '*';
    callback?: (state: Partial<TableState>) => void;
}
export interface FeaturesHandlersOptions {
    _featuresHandlers?: StateHandler[];
    _featuresInitState?: Partial<TableState>;
}
export interface DefaultOptionsResolved<TData> {
    getDefaultOptionsResolved?: (options: TableOptionsResolved<TData>) => TableOptionsResolved<TData>;
}
export declare type Table<T> = _Table<T>;
export interface DataTableRootProps<T> {
    className?: string;
    table: Table<T>;
}
//# sourceMappingURL=interfaces.d.ts.map