import { Row, RowData } from '@tanstack/react-table';
import type { ToolbarProps } from '../../BaseTable';
import { Suggestions } from '../../BaseTable';
import { TableEnableConfig, Table, TableOptions } from '../interfaces';
export declare function getDefaultToolbarFiltersProps<T>(table: Table<T>, config: {
    simpleMode?: boolean;
    suggestions?: Suggestions;
}): ToolbarProps['filterProps'];
export declare function getDefaultToolbarProps<T>(table: Table<T>, props: Partial<ToolbarProps>): Partial<ToolbarProps> & Pick<ToolbarProps, 'filterProps'>;
export declare function getDefaultThProps<T>(table: Table<T>): {
    hasBorder: boolean;
};
export declare function getDefaultTrProps<T>(table: Table<T>, row: Row<T>): {
    selected: boolean;
};
interface DefaultTdPropsConfig extends TableEnableConfig {
    tableName: string;
    manual: boolean;
}
export declare const TABLE_DEFAULT_SELECT_COLUMN_ID = "_selector";
export declare function getDefaultTableOptions<TData extends RowData>(config: DefaultTdPropsConfig | string, manual?: boolean): Partial<TableOptions<TData>> & Required<Pick<TableOptions<TData>, '_features' | 'meta' | 'getCoreRowModel'>>;
export {};
//# sourceMappingURL=index.d.ts.map