import React from 'react';
import { DefaultProps, KubedNumberSize } from '../theme';
export interface TagProps extends DefaultProps {
    /** Title of the tag  */
    title?: React.ReactNode;
    /** Style of title  */
    titleStyle?: React.CSSProperties;
    /** Tag color from theme  */
    color?: 'default' | 'primary' | 'secondary' | 'success' | 'warning' | 'error' | 'info' | string;
    /** Append element of the tag  */
    append?: React.ReactNode;
    /** Prepend element of the tag  */
    prepend?: React.ReactNode;
    /** Radius of the tag  */
    radius?: KubedNumberSize;
    visible?: boolean;
    closable?: boolean;
    onClose?: (e: React.MouseEvent<SVGElement>) => void;
}
export declare const Tag: import("../utils/types").ComponentWithAs<"div", TagProps>;
//# sourceMappingURL=Tag.d.ts.map