import React from 'react';
import { DefaultProps, KubedNumberSize } from '../theme';
interface TextOptions {
    /** Text itself */
    children?: React.ReactNode;
    /** Predefined font-size from theme.fontSizes */
    size?: KubedNumberSize;
    /** Text color from theme */
    color?: string;
    /** Sets font-weight css property */
    weight?: React.CSSProperties['fontWeight'];
    /** Sets text-transform css property */
    transform?: 'capitalize' | 'uppercase' | 'lowercase';
    /** Underline style */
    underline?: boolean;
    /** Italic style */
    italic?: boolean;
    /** Delete style */
    delete?: boolean;
    /** Sets text-align css property */
    align?: 'left' | 'center' | 'right';
    /** Link or text variant */
    variant?: 'text' | 'link' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
}
export interface TextProps extends TextOptions, DefaultProps {
}
export declare const Text: import("../utils/types").ComponentWithAs<"div", TextProps>;
export {};
//# sourceMappingURL=Text.d.ts.map