import { KubedTheme } from './types';
import { DeepPartial } from '../utils/types';
export declare const getSizeValue: (size: string | number, sizes: Record<string, any>, defaultSize?: string) => any;
export declare const getColor: (color: string, theme: KubedTheme, defaultColor?: string) => any;
export declare type UserTheme = DeepPartial<KubedTheme> & {
    type: string;
};
export declare const isObject: (target: unknown) => boolean;
export declare const deepDuplicable: <T extends Record<string, unknown>>(source: T, target: T) => T;
declare const Utils: {
    isPresetTheme: (themeOrType?: UserTheme | KubedTheme | string) => boolean;
    isAvailableThemeType: (type?: string) => boolean;
    hasUserCustomTheme: (themes?: Array<KubedTheme>) => boolean;
    getPresets: () => Array<KubedTheme>;
    getPresetStaticTheme: () => KubedTheme;
    create: (base: KubedTheme, custom: UserTheme) => KubedTheme;
    createFromDark: (custom: UserTheme) => KubedTheme;
    createFromLight: (custom: UserTheme) => KubedTheme;
    getSizeValue: (size: string | number, sizes: Record<string, any>, defaultSize?: string) => any;
    getColor: (color: string, theme: KubedTheme, defaultColor?: string) => any;
    getPrimaryColor: (theme: KubedTheme, main?: boolean) => string | Array<string>;
    getSecondaryColor: (theme: KubedTheme, main?: boolean) => string | Array<string>;
};
export default Utils;
//# sourceMappingURL=utils.d.ts.map